Foreman - Bug #1502

A subnet without TFTP set makes foreman unable to set a host in build.
02/23/2012 01:23 PM - Ashley Penney

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

We have a situation where we need to set hosts to build but we cannot use DHCP/TFTP and instead use a boot.iso to pass the
params into boot: by hand. We do however require the kickstart from foreman. As it stands if you put a machine in a subnet that has
no TFTP assigned Foreman will attempt to write the TFTP stuff locally and fail to set build:

Processing HostsController#setBuild (for 10.45.62.4 at 2012-02-23 18:20:03) [GET]

Parameters: {"action"=>"setBuild", "id"=>"per5-puppet-test.usa.net", "controller"=>"hosts"}

DEPRECATION WARNING* Managing TFTP without a smart-proxy will not be supported in the next release

TFTP Failed: Permission denied - RedHat-5.7-x86_64 or /usr/share/foreman//01-00-0c-29-dd-10-0b

Failed to save:

Redirected to https://foreman.sys.perimeterusa.com/hosts/per5-puppet-test.usa.net

Completed in 15ms (DB: 9) | 302 Found [https:/foreman.sys.perimeterusa.com/hosts/per5-puppet-test.usa.net/setBuild]

If tftp is not set then don't try to write any TFTP stuff. :)

History

#1 - 02/23/2012 01:48 PM - Ashley Penney

Looks like a duplicate of http://www.theforeman.org/issues/1376 - didn't spot it when looking earlier, sorry!

#2 - 06/18/2013 11:18 AM - Benjamin Papillon

- Status changed from New to Duplicate
